<template>
  <ProTabs v-model="orderType" name="user-home-tabs" class="user-home-tabs" flexTitle fullHeight>
    <ProTabPane title="话费订单" pane-key="1">
      <PhoneOrder />
    </ProTabPane>
    <ProTabPane title="电费订单" pane-key="2">
      <ElectricOrder />
    </ProTabPane>
  </ProTabs>
</template>

<script setup lang="ts">
import { PhoneOrder, ElectricOrder } from '@life-payment/components';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'InnerPage',
});

const orderType = ref('1');

function goPay() {
  Taro.navigateTo({
    url: RouterPath.selectPayType,
  });
}
</script>
